{% extends "base.html" %}
{% load static %}
{% block titulo %}
Crear Retiro Agente
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navTransBanco").attr('class','dropdown active');
  $("#navRetiroTransBancoCrear").attr('class','active');
</script>

{% if retiro_st == 'si' %}
  <form  action="/crear_retiro_transferencia/" method="POST" data-toggle="validator" role="form" id="formulario">{% csrf_token %}

    <div class="row">
      <div class="col-md-12 col-sm-12" >
          <div class="panel panel-default color-primary">
            <div class="panel-body">
              <div class="row" id="Result">
                <div class="col-md-12">
                  {% ifnotequal resultado '' %}
                  {% ifequal resultado 'exito' %}
                  <div class="alert alert-success" role="alert" align="center">
                    <h4>OPERACION EXITOSA!!</h4>
                  </div>
                  {% else %}
                  <div class="alert alert-danger" role="alert" align="center">
                    <h4>FALLO OPERACION :( {{resultado}}</h4>
                  </div>
                  {% endifequal %}
                  {% endifnotequal %}
                </div>
              </div>
                  <div class="row">
                    <div class="col-md-12">
                      <div class="row">
                         <div class="col-md-12">
                          <div class="col-md-4 col-md-offset-2">
                          <div class="panel panel-default" id="panel_solicitante">
                          <div class="panel-heading" id="grupoS"> 
                            <b>CLIENTE <span id="cabecera_soli"></span></b> 
                          </div>
                          <div class="panel-body" id="CampoSol">
                            <input type="text" class="hidden" name="IdCliente" id="IdCliente">
                          <div class="row">
                            
                            <div class="col-md-12">
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersona" id="rbNatural" value="Natural" required checked>
                                      Persona Natural 
                                  </label>
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersona" id="rbJuridica" value="Juridica" required>
                                      Persona Jurídica
                                  </label>
                            </div>                            
                          </div> 
                          <p></p>
                          <div class="row">
                            <div class="col-md-6">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label id="dniRUC">DNI: </label></div>
                                  <input type="text" class="form-control" id="txtDNI" name="DniRucCln" data-minlength="8" data-maxlength="11" data-provide="typeahead" autocomplete="off">
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                              </div>              
                               <p></p>
                            </div>
                            <div class="col-md-3">
                              <button class="btn btn-primary btn-block btn-xs" id="btn_limpiar_soli">Limpiar</button>
                            </div>
                            <div class="col-md-3">
                              <!--<button class="btn btn-warning btn-block btn-xs" id="btn_consultar_so">Consultar</button>-->
                            </div>
                          </div>
                          <div class="row">
                             <div class="col-md-12">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label id="nombreRazon">Nombres: </label></div>
                                  <input type="text" class="form-control mayuscula" id="txtNombre" name="NombreCln" data-provide="typeahead" autocomplete="off" required>
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                               </div>                             
                              <p></p>
                            </div>
                          </div>

                          <div class="row" id="campoAp">
                            <div class="col-md-12">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label>A. Paterno:</label></div>
                                  <input type="text" class="form-control mayuscula" id="txtAP" name="PaternoCln" data-provide="typeahead" autocomplete="off" required>
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                              </div>
                              <p></p>
                            </div>
                          </div>

                          <div class="row" id="campoAm">
                              <div class="col-md-12">
                                <div class="form-group">
                                  <div class="input-group">
                                    <div class="input-group-addon"><label>A. Materno:</label></div>
                                    <input type="text" class="form-control mayuscula" id="txtAM" name="MaternoCln" data-provide="typeahead" autocomplete="off">
                                  </div>
                                  <div class="form-control-feedback" style="text-align:left;" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>                             
                                <p></p>
                              </div>
                          </div>
                           <div class="row">
                              <div class="col-md-8">
                                <div class="form-group">
                                  <div class="input-group">
                                    <div class="input-group-addon"><label>Celular:</label></div>
                                    <input type="text" class="form-control mayuscula" id="txtcelCli" name="CelularCli"  data-minlength="9" maxlength="9" style="font-size:16px;font-weight:bold;" pattern="[9][0-9]{2,9}$">
                                  </div>
                                  <div class="form-control-feedback" style="text-align:left;" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>      
                              </div>
                            </div>
                           


                           
                            
                            </div>
                          </div>  
                        </div>

                        <div class="col-md-4">
                          <div class="panel panel-default" >
                          <div class="panel-heading"  id="grupoC"><b>RETIRO AGENTE</b></div>
                            <div class="panel-body">

                              <input type="text" class="hidden" name="es_agente" id="es_agente">
                              
                              <div class="row">
                                <div class="col-md-12">
                                  <div class="form-group">
                                    <div class="input-group">
                                      <div class="input-group-addon"><label>Banco:</label></div>
                                      <select class="form-control" name="banco" id="txtBanco">
                                      </select>
                                    </div>
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                    <div class="help-block with-errors"></div>
                                  </div>      
                                </div>
                              </div>
                              <div class="row" id="rowOperacion">
                                <div class="col-md-12">
                                  <div class="form-group">
                                    <div class="input-group">
                                      <div class="input-group-addon"><label>Tipo Operación:</label></div>
                                      <select class="form-control" name="operacion" id="txtOperacion">
                                      </select>
                                    </div>
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                    <div class="help-block with-errors"></div>
                                  </div>      
                                </div>
                              </div>
                              
                              <div class="row">
                                <div class="col-md-12">
                                  <div class="col-sm-8" style="padding-right: 0px;padding-left: 0px;">
                                    <div class="form-group">
                                      <div class="input-group">
                                        <div class="input-group-addon"><label>Monto:</label></div>
                                        <input type="text" class="form-control t-monto" id="txtCantidad" name="monto" autocomplete="off" required>
                                      </div>
                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                      <div class="help-block with-errors"></div>
                                    </div>                              
                                    <p></p>
                                  </div>
                                  <div class="col-sm-4" style="padding-right: 0px;padding-left: 0px;">
                                     <select class="form-control" name="moneda" id="Cmoneda">
                                        <option value="soles">Soles</option>
                                        <!--<option value="dolares">Dolares</option>-->
                                      </select>
                                  </div>
                                </div>
                               
                              </div> 
                              <div class="row">
                                <div class="col-md-9">
                                  <div class="form-group">
                                    <div class="input-group">
                                      <div class="input-group-addon"><label>Comisión:</label></div>
                                      <input type="text" class="form-control t-monto" id="txtComicion" name="comision" autocomplete="off">
                                    </div>
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                    <div class="help-block with-errors"></div>
                                  </div>                              
                                  <p></p>
                                </div>
                                <div class="col-md-3">
                                  <!--<button type="button" class="btn btn-danger btn-block" id="solAutCo" >Editar</button>-->
                                </div>
                              </div>
                              <div class="row">
                                <div class="col-md-12">
                                  <div class="checkbox" style="margin-top: 0px; margin-bottom: 5px;">
                                    <label>
                                      <input type="checkbox" id="chb-comision" name="chb_comi" value="si"> Comisión de Cuenta
                                    </label>
                                  </div>
                                </div>
                              </div>
                              <div class="row" id="div-alerta-comision">
                                <div class="col-md-12">
                                  <div class="alert alert-info" role="alert" style="font-size:16px;">
                                    La <b>comisión</b> se aplicará a la misma cuenta, de la operación seleccionada
                                  </div>
                                </div>
                              </div>

                              <div class="row">
                                <div class="col-md-5" align="right">
                                  <label>Observaciones:</label> 
                                </div>
                                <div class="col-md-7">
                                  <div class="form-group">
                                     <textarea class="form-control" rows="3"  name="obs" id ="txtdetalle_obs"></textarea >
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                     <div class="help-block with-errors"></div>
                                  </div>                              
                                  <p></p>
                                </div>
                              </div>
                              <p></p>                                  
                            </div>
                          </div>  
                        </div>
                  </div>
                        <br>
                      </div>





                      </div>
                      <br>
 
                   
                  <div class="row" hidden>
                     <div class="col-md-1 col-xs-1 hidden" style="z-index: -10;">
                      <select class="form-control" name="transac">
                        <option value="{{transac}}"></option>
                      </select>
                    </div>
                    <div class="col-md-1 col-xs-1" style="z-index: -10;">
                      <input type="text" class="form-control" id="txtCodigoAu" name="CodigoAut">
                    </div>
                  </div>
                  <div class="row">
                  
                    <div class="col-md-2 col-md-offset-5 " align="center">
                      <button type="button" class="btn btn-primary btn-block btn-sm" data-toggle="modal" data-target="#modalenvio" id="enviar_transferencia">Guardar</button>
                    </div>
                  </div>

              <div id="modalenvio" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                          <div class="modal-dialog modal-sm" style="width">
                            <div class="modal-content">
                              <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                <label class="modal-title" id="myModalLabel">Detalle Retiro</label>
                              </div>
                              <div class="modal-body">
                                <div class="row">
                                  <div class="col-md-3" align="right"> 
                                    <h4>Banco: </h4> 
                                  </div>
                                  <div class="col-md-8" align="left">
                                      <h4 > <b id="lbl_banco"></b></h4>
                                  </div>
                                </div>
                                <div class="row">
                                  <div class="col-md-3" align="right"> 
                                    <h4>Operacion: </h4> 
                                  </div>
                                  <div class="col-md-8" align="left">
                                      <h4 > <b id="lbl_operacion"></b></h4>
                                  </div>
                                </div>
                                
                                <div class="row">
                                  <div class="col-md-3" align="right"> 
                                    <h4>Monto:</h4> 
                                  </div>
                                  <div class="col-md-6">
                                      <h4 ><span id="mn"></span> <b id="canti_h4"></b></h4>
                                      <h4 ><span id="canti_h6" style="color: #a94442;" ></span> <span id="alerta_mone"></span></h4>
                                  </div>
                                </div>

                                <div class="row">
                                  <div class="col-md-3" align="right"> 
                                    <h4>Comisión:</h4> 
                                  </div>
                                  <div class="col-md-6">
                                      <h4 ><span id="mn1"></span> <b id="comi_h4"></b></h4>
                                      <h4 ><span id="comi_h6" style="color: #a94442;" ></span> <span id="alerta_mone1"></span></h4>
                                  </div>
                                </div>

                                <div class="row">
                                  <div class="" role="alert" align="center" id="resp_en">
                                  </div>
                                </div>
                                <div class="row">
                                  <div class="col-md-4 col-md-offset-4">
                                    <div class="form-group">
                                      <button type="submit" class="btn btn-success btn-block" id="enviar_tr">Retirar</button>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div><!-- /.modal-content -->
                          </div><!-- /.modal-dialog -->
                      </div><!-- /.modal -->

                 <div id="modalrecibo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                          <div class="modal-dialog">
                            <div class="modal-content">
                              <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                              </div>
                              <div class="modal-body">
                                <div  id="platillaI" style="font-family:'arial', Monaco, monospace;font-size:18px;">
                                  <table>
                                     <tr style="text-align: center;">
                                      <td align="center"><img src="{% static 'img/golden-letras.png' %}" style="width: 400px; padding-bottom:20px;"></td>
                                    </tr>
                                  </table>
                                  <table>
                                     <tr style="border-top: 1px solid #000">
                                      <td width="15%"></td>
                                      <td><h4>RETIRO AGENTE</h4></td>
                                      <td nowrap width="14%"></td>
                                    </tr>
                                  </table>  
                                  <table>
                                     <tr>
                                      <td nowrap style="text-align: left;"><h4 id="nror"></h4>{{nroRecibo}}</td>
                                      <td nowrap style="padding-left: 150px"><h4 id="idST"></h4> </td>
                                      <td nowrap style="padding-right:10px"></td>
                                    </tr>
                                    <tr>
                                      <td nowrap>FECHA:  </td>
                                      <td nowrap style="padding-left: 20px"><span id="fechaRecibo"> {{horaRecibo}} {{fechaRecibo}}</span></td>
                                      <td nowrap></td>
                                    </tr>
                                    
                                   
                                  </table>
                                  
                                  

                                  <table>
                                    <tr>
                                      <td nowrap>BANCO:</td>
                                      <td style="padding-left: 15px"><h4 id="bancoRecibo">{{banco}}<h4></td>
                                      <td nowrap></td>
                                    </tr>
                                    <tr>
                                      <td nowrap>OPERACION:</td>
                                      <td style="padding-left: 15px"><h4 id="operacionRecibo">{{operacionRecibo}}<h4></td>
                                      <td nowrap></td>
                                    </tr>
                                     <tr>
                                      <td nowrap style="padding-bottom: 18px;">CLIENTE:</td>
                                      <td nowrap style="padding-left: 15px;white-space: pre;"><span id="soli">{{nombreRecibo}}</span></td>
                                      <td nowrap></td>
                                    </tr>
                                    
                                  </table>

                                   <table>
                                    <tr>
                                      <td nowrap><h3><b>IMPORTE:</b></h3></td>
                                      <td nowrap></td>
                                      <td nowrap></td>
                                    </tr>
                                     <tr>
                                      <td nowrap style="padding-left: 5px">MONTO:</td>
                                      <td nowrap style="padding-left: 20px"></td>
                                      <td nowrap><h4 id="monto_tr">{{montoRecibo}}</h4></td>
                                    </tr>
                                     <tr>
                                      <td nowrap style="padding-left: 5px">COMISIÓN:</td>
                                      <td nowrap style="padding-left: 20px"></td>
                                      <td nowrap><h4 id="comi_tr">{{comision}}</h4></td>
                                    </tr>
                                     
                                  </table>
                                  <table>
                                    <tr>
                                      <td nowrap>OBSERVACIONES:</td>
                                      <td style="padding-left: 20px" id="reciboObs">{{obs}}</td>
                                      <td nowrap></td>
                                    </tr> 
                                  </table>
                                  <br></br>
                                  <table>
                                    <tr>
                                      <td nowrap>____________________</td>
                                      <td style="padding-left: 20px"></td>
                                      <td nowrap>____________________</td>
                                    </tr> 
                                    <tr>
                                      <td nowrap>OP. {{ nombre_usuario }}</td>
                                      <td style="padding-left: 20px"></td>
                                      <td nowrap id="soli1">{{nombreRecibo}}</td>
                                    </tr> 
                                   
                                  </table>
                                   <br></br>
                                  <table>
                                    <tr>
                                      <td>Consultas y Reclamos:</td>
                                      <td  style="text-align: left;padding-left: 10px;">{{ ObsOficina }}</td>
                                      <!--<td>{{ ObsOficina }}</td>-->
                                    </tr>
                                  </table>
                                </div>
                              </div>


                            </div><!-- /.modal-content -->
                          </div><!-- /.modal-dialog -->
                      </div><!-- /.modal -->
            </div>
          </div>
      </div>

  </form>

{% endif %}
<script type="text/javascript">
    //var socket = io.connect('https://consorcioimperial.com',{path:'/socket-io/socket.io'});
      var urlAutocompleteCliente='';
      {% ifequal OfCentral 'si' %}
        urlAutocompleteCliente='/clientes_autocompletado_user_ajax/';
      {% else %}
        urlAutocompleteCliente='/clientes_autocompletado_user_caja_ajax/';
      {% endifequal %}

      var data_bene={}
      var data_soli={}
      var Aux="";
      var filaI =0;
      var dialog="";
      var idB="";
      var idS="";
      var AuxC="";
      var indice_monto=0;
      var bnd= false;
      var flagComision=0;
      var flagKeyUp=0;
      var data_cta=[];
      var data_cta_bene=[];
      $(document).ready(function () {

        $('#txtDNI').numeric();
        $('#txtCantidad').numeric(".");
        $('#txtcelCli').numeric();
        $('#txtComicion').numeric(".");
        
        //$("#myModal").modal("show");

        {% ifnotequal resultado '' %}
        {% ifequal resultado 'exito' %}
          $("#platillaI").printThis();
        {% endifequal %}
        {% endifnotequal %}
        //noCliente();
        $('input').on('keypress', function(e){
          if(e.keyCode == 13)
          {
                  var inputs = $(this).parents("form").eq(0).find(":input.form-control");
                  var idx = inputs.index($(this));

                  if (idx == inputs.length - 1) {
                      inputs[0].select()
                  } else {
                      inputs[idx + 1].focus(); //  handles submit buttons
                     //inputs[idx + 1].select();
                  }
                  return false;
          }
      });



      $("input[name=TipoPersona]").click(function(){
         $("#IdCliente").val("");
          idS="";
          if($(this).val()=="Natural"){
              $("#dniRUC").text("DNI");
              $("#nombreRazon").text("Nombres");
              $("#campoAp").show();
              $("#campoAm").show();
          }
          else{
              $("#dniRUC").text("RUC");
              $("#nombreRazon").text("Razón Social");
              $("#campoAp").hide();
              $("#campoAm").hide();
          }
      });

     $("#div-alerta-comision").hide();

     $("#chb-comision").change(function(){
      if($(this).prop('checked')){
        $("#div-alerta-comision").show();
      }
      else{
        $("#div-alerta-comision").hide();
      }
     })

     // poner comas alos numeros
     function poner_coma(numero){
      var cadena= numero;
      n= cadena.length;
      var r='';
      var p=n;
      var up=0,p1='',p2='';
      while(p>3){
        p=p-3;
        p1=cadena.substring(0,p);
        p2=cadena.substring(p);
        r=','+p2+r;
        cadena=p1;
        console.log(p1);
        console.log(p2);
      }
      return(cadena+r);
     }
     //
     function normalizar(numero){
        var cadena=numero.toString();
        var parte='',num='',dec='00';
        if (cadena.indexOf('.')!=-1){
          parte=cadena.split('.');
          num=parte[0];
          dec=parte[1];
        }
        else{
          num=cadena;
        }
        var cade= poner_coma(num);
        return (cade+'.'+dec);
      }
      //
      function leer_3_cifreas(numero){
        var aux= "000"+numero.toString();
        var num=aux.substring(aux.length-3);
        if(num=='000'){
          return '';
        }
        else{
          var cen='';
          switch (num.charAt(0)) {
              case '1':
                  if (num.charAt(1)!='0' || num.charAt()!='0'){
                    cen='Ciento ';
                  }
                  else{
                    cen='Cien';
                  }
                  break;
              case '2':
                  cen='Docientos ';
                  break;
              case '3':
                  cen='Trescientos ';
                  break;
              case '4':
                  cen = "Cuatrocientos ";
                  break;
              case '5':
                  cen = "Quinientos ";
                  break;
              case  '6':
                  cen = "Seiscientos ";
                  break;
              case '7':
                  cen = "Setecientos ";
                  break;
              case '8':
                  cen = "Ochocientos ";
                  break;
              case '9':
                  cen = "Novecientos ";
                  break;
          }//end switch
          var dec='';
          switch (num.charAt(1)) {
              case '1':
                  switch (num.charAt(2)) {
                      case '0':
                          dec='Diez';
                          break;
                      case '1':
                          dec='Once';
                          break;
                      case '2':
                          dec='Doce';
                          break;
                      case '3':
                          dec = "Trece";
                          break;
                      case '4':
                          dec = "Catorce";
                          break;
                      case  '5':
                          dec = "Quince";
                          break;
                      default:
                          dec='Dieci';
                  }//end switch
                  break;
              case '2':
                  if (num.charAt(2)=='0'){
                    dec='Veinte';
                  }
                  else{
                    dec='Veinti';
                  }
                  break;
              case '3':
                  if (num.charAt(2)=='0'){
                    dec='Treinta';
                  }
                  else{
                    dec='Treinta y ';
                  }
                  break;
              case '4':
                  if (num.charAt(2)=='0'){
                    dec='Cuarenta';
                  }
                  else{
                    dec='Cuarenta y ';
                  }
                  break;
              case '5':
                  if (num.charAt(2)=='0'){
                    dec='Cincuenta';
                  }
                  else{
                    dec='Cincuenta y ';
                  }
                  break;
              case  '6':
                  if (num.charAt(2)=='0'){
                    dec='Sesenta';
                  }
                  else{
                    dec='Sesenta y ';
                  }
                  break;
              case '7':
                  if (num.charAt(2)=='0'){
                    dec='Setenta';
                  }
                  else{
                    dec='Setenta y ';
                  }
                  break;
              case '8':
                  if (num.charAt(2)=='0'){
                    dec='Ochenta';
                  }
                  else{
                    dec='Ochenta y ';
                  }
                  break;
              case '9':
                  if (num.charAt(2)=='0'){
                    dec='Noventa';
                  }
                  else{
                    dec='Noventa y ';
                  }
                  break;
          }//end switch
          var uni='';
          if (num.charAt(1)=='1' && (num.charAt(2)=='0' ||num.charAt(2)=='1' ||num.charAt(2)=='2' ||num.charAt(2)=='3' ||num.charAt(2)=='4' ||num.charAt(2)=='5')){
            uni=''
          }
          else{
            switch (num.charAt(2)) {
                case '1':
                    uni='Uno'
                    break;
                case '2':
                    uni='Dos';
                    break;
                case '3':
                    uni='Tres';
                    break;
                case '4':
                    uni = "Cuatro";
                    break;
                case '5':
                    uni = "Cinco";
                    break;
                case  '6':
                    uni = "Seis";
                    break;
                case '7':
                    uni = "Siete";
                    break;
                case '8':
                    uni = "Ocho";
                    break;
                case '9':
                    uni = "Nueve";
                    break;
            }//end switch
          }
          return (cen+dec+uni);
        }//end else

      }

      function leer_complet(numero1){
        var numero=numero1.toString();
        var cadena='';
        if(numero.indexOf('.')!=-1){
          var aux= numero.split('.');
          numero= aux[0];
        }
        cadena= "000000000"+numero;
        var cen='';
        var mil='';
        var millon='';
        var p= cadena.length;
        if(cadena.substring(p-3)!="000"){
          cen=leer_3_cifreas(cadena.substring(p-3));
        }
        if (cadena.substring(p-6,p-3)!="000"){
            if (cadena.substring(p-6,p-3)=="001"){
              mil=' Mil ';
            }
            else{
              mil=leer_3_cifreas(cadena.substring(p-6,p-3))+' Mil ';
            }
            
          }
          if(cadena.charAt(p-7)!='0'){
              millon=numero.substring(0,numero.length-6)+' Millon '
            }
        return (millon+mil+cen);
      }
   
     //
     $("#enviar_transferencia").click(function(){
      $("#resp_en").prop('class'," ");
      $("#resp_en").html(" ");
      $("#formulario").validator('validate');
      var mn='s/.'
      if ($("#Cmoneda option:selected").val()=='dolares'){
        mn='$'
      }
      $("#mn").text(mn);
      $("#mn1").text(mn);
      $("#mn2").text(mn);
      $("#canti_h4").text(normalizar($("#txtCantidad").val()));
      $("#comi_h4").text(normalizar($("#txtComicion").val()));
      $("#canti_h6").text(leer_complet($("#txtCantidad").val()));
      $("#comi_h6").text(leer_complet($("#txtComicion").val()));
      $("#alerta_mone").text($("#Cmoneda option:selected").val());
      $("#alerta_mone1").text($("#Cmoneda option:selected").val());
      $("#alerta_mone2").text($("#Cmoneda option:selected").val());
      $("#lbl_banco").text($( "#txtBanco option:selected" ).text());
      $("#lbl_operacion").text($( "#txtOperacion option:selected" ).text());
      
     })

      $("#enviar_tr").click(function(e){
        e.preventDefault();
        $("#enviar_tr").prop('disabled',true);
        $("#resp_en").prop('class','alert alert-warning');
        $("#resp_en").html("<h4>ENVIANDO....</h4>");

        $("#formulario").submit();
      })
     //
     
      //***************************** solicitante **************************
      function datos_solicitante(){
        return $("#txtDNI").val()+' '+$("#txtNombre").val()+' '+$("#txtAP").val()+' '+$("#txtAM").val()
      }
      function limpiar_solicitante(){
        $("#IdCliente").prop('value',null);
        $("#txtDNI").prop('value',null);
        $("#txtNombre").prop('value',null);
        $("#txtAP").prop('value',null);
        $("#txtAM").prop('value',null);
        $("#txtcelCli").prop('value',null);
      }

      $("#txtDNI").change(function() {
        var current = $("#txtDNI").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtDNI").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            $("#txtcelCli").prop('value',data_soli.telefono);
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            //swal("Solicitante", datos_solicitante(), "success");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtNombre").prop('value',null);
            //$("#txtAP").prop('value',null);
            //$("#txtAM").prop('value',null);
            //swal("Nuevo Cliente",datos_solicitante(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtNombre").prop('value',null);
            //$("#txtAP").prop('value',null);
            //$("#txtAM").prop('value',null);
          //swal("Nuevo Cliente", datos_solicitante(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_dni= $('#txtDNI').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_dni_ajax/', { query: query }, function (data) {
                return process(data);
            },'json');
        }
      });
      //*** nombre
      $("#txtNombre").change(function() {
        var current = $("#txtNombre").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtNombre").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            $("#txtcelCli").prop('value',data_soli.telefono);
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            //swal("Solicitante", datos_solicitante(), "success");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtDNI").prop('value',null);
            //swal("Nuevo Cliente",datos_solicitante(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
           //$("#txtDNI").prop('value',null);
          //swal("Nuevo Cliente", datos_solicitante(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_nombre= $('#txtNombre').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_nombre_ajax/', { query: query,'ap':$("#txtAP").val(),'am':$("#txtAM").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // paterno
      $("#txtAP").change(function() {
        var current = $("#txtAP").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtAP").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            $("#txtcelCli").prop('value',data_soli.telefono);
             $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            //swal("Solicitante", datos_solicitante(), "success");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtDNI").prop('value',null);
            //swal("Nuevo Cliente",datos_solicitante(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
           //$("#txtDNI").prop('value',null);
          //swal("Nuevo Cliente", datos_solicitante(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_ap= $('#txtAP').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_paterno_ajax/', { query: query,'no':$("#txtNombre").val(),'am':$("#txtAM").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // materno
      $("#txtAM").change(function() {
        var current = $("#txtAM").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtAM").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            $("#txtcelCli").prop('value',data_soli.telefono);
            //swal("Solicitante", datos_solicitante(), "success");
            //$("#formulario").validator('validate');
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtDNI").prop('value',null);
            //swal("Nuevo Cliente",datos_solicitante(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
           //$("#txtDNI").prop('value',null);
          //swal("Nuevo Cliente", datos_solicitante(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_ami= $('#txtAM').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_materno_ajax/', { query: query,'ap':$("#txtAP").val(),'no':$("#txtNombre").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      $("#btn_limpiar_soli").click(function(e){
        e.preventDefault();
        limpiar_solicitante();
      })

      
      ajaxOperacionAgente();
      //otra funcion
      function ajaxOperacionAgente(){
        $.ajax({
          url:'/operaciones_agente_ajax/',
          data:{'retiro':'si'},
          type:'GET',
          dataType:'json',
          success: function(data){
          var html ="";
            $("#txtOperacion").html('');
            for(var i=0;i<data.length;i++){
                html += '<option value="'+data[i].pk+'">'+data[i].operacion+'</option>';
            }
            $('#txtOperacion').html(html);
          }
        });
      };

      ajaxEntidadesBancarias();
      //otra funcion
      function ajaxEntidadesBancarias(){
        $.ajax({
          data:{'agente':'si'},
          url:'/entidad_retiros_bancos_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
          var html ="";
            $("#txtBanco").html('');
            for(var i=0;i<data.length;i++){
                html += '<option value="'+data[i].entidad+'*'+data[i].pk+'">'+data[i].entidad+'</option>';
            }
            $('#txtBanco').html(html);
          }
        });
      };
      //****************
    });
</script>
{% endblock content1 %}
